Auth
Change password
Change password.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
current_password*string
new_password*string
Length
10 <= length <= 128Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/auth/change-password" \ -H "Content-Type: application/json" \ -d '{ "current_password": "string", "new_password": "stringstri" }'{ "data": { "message": "Done.", "ok": true, "resource_id": "string" }, "meta": {}, "success": true}Change a member's role POST
Refuses to demote the last remaining owner of a merchant.
Request a password reset POST
Always returns success so the response cannot be used to discover which email addresses are registered. With no mail server configured, the token is returned directly instead of being emailed.